#!/bin/bash

# CONFIG
USERNAME="root"
PASSWD="Gladious123"  # Удалите эту строку, если используете SSH-ключи
HOSTS=("10.0.1.1" "10.0.1.3")

# VMID для каждого хоста
VMIDS=(
  "121 122 124 139 152"  # 10.0.1.1
  "123 125 126 140 153 154 155"      # 10.0.1.3
)

RLNAME="DEFAULT"  # RLNAME для всех хостов

for i in ""${!HOSTS[@]}""; do
  host=""${HOSTS[$i]}""
  vmid_list=""${VMIDS[$i]}""

  for vmid in $vmid_list; do
    # Формируем команду для выполнения на удаленном хосте
    remote_command="qm rollback $vmid '$RLNAME'; qm start '$vmid'"

    # Запускаем команду через ssh (или sshpass, если ключи не настроены)
    # Если используете SSH-ключи, удалите строку sshpass ниже
    sshpass -p "$PASSWD" ssh -o StrictHostKeyChecking=no "$USERNAME@$host" "$remote_command"
    #ssh -o StrictHostKeyChecking=no "$USERNAME@$host" "$remote_command"

    echo "Выполнено: ssh $USERNAME@$host \"$remote_command\""
  done
done

echo "Скрипт завершен."

